ubuntu/+source/unixodbc:ubuntu/natty-devel

Last commit made on 2011-03-15
Get this branch:
git clone -b ubuntu/natty-devel https://git.launchpad.net/ubuntu/+source/unixodbc
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/natty-devel
Repository:
lp:ubuntu/+source/unixodbc

Recent commits

68b1cd9... by Matthias Klose on 2011-03-15

Import patches-unapplied version 2.2.14p2-2ubuntu1 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 0d180d0c4a8a02d74e8342e79e4452ac27ae632c

New changelog entries:
  * Fix FTBFS on ppc64.

0d180d0... by Steve Langasek on 2010-08-20

Import patches-unapplied version 2.2.14p2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cbae8cdd952c7542b7db51a01b65ab0854c81b81

New changelog entries:
  * Apply patch from
    http://cvs.fedoraproject.org/viewvc/devel/unixODBC/odbcint64-config.patch
    to ensure we get the necessary (U)ODBCINST64 defines. Thanks to
    Matthias Klose for the pointer. Closes: #582591, LP: #620428.

cbae8cd... by Steve Langasek on 2010-03-24

Import patches-unapplied version 2.2.14p2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6b75928f6d06012453b3adb37ababfc1aede8fd2

New changelog entries:
  * New upstream release (closes: #433312).
    - Fixes compatibility with Oracle driver. Closes: #567521.
    - The txt driver has been dropped upstream.
    - The prototype of odbcinst_system_file_path has changed, so time for
      another package rename to odbcinst1debian2.
    - Touch debian/unixodbc.symbols for new interfaces.
  * Drop build-dependencies on flex-old and bison, no longer used.
  * Build-conflict with unixodbc-dev, to work around libtool's persistent
    relinking problems
  * Build-depend on libqt3-compat-headers instead of patching all of the code;
    if libqt3-compat-headers ever goes away, we should just switch to Qt4
    instead.
  * exe/Makefile.am: don't build dltest, this only works if we're using
    the bundled libtool.
  * Port AC_LIBTOOL_LANG_CXX_CONFIG changes over to the current
    _LT_LANG_CXX_CONFIG macro.
  * Build with --without-pth, we want pthreads even if pth is installed in the
    build env.
  * Fix installation of libnn.so at build time, so we don't ship a dangling
    symlink instead. Closes: #563283.

6b75928... by Steve Langasek on 2009-11-02

Import patches-unapplied version 2.2.11-21 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d582c4f997fa5248882b6baee3404a1f67fb2da5

New changelog entries:
  * Fix short description of odbcinst1debian1 to not refer to the bits that
    have been moved to odbcinst.
  * Build-depend on libreadline-dev instead of libreadline5-dev, for the
    readline6 transition; doesn't interfere with backports, since
    libreadline5-dev already provided libreadline-dev. Closes: #553870.
  * Copy in the setup libraries correctly, so we don't wind up with dangling
    symlinks in the package. Closes: #552161.

d582c4f... by Steve Langasek on 2009-09-06

Import patches-unapplied version 2.2.11-20 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8e3106822db934782338ecbfe87966330c283f67

New changelog entries:
  * Split binaries out of odbcinst1debian1 into a new odbcinst package, so
    that we aren't in the situation of trying to clean up config files in
    the purge target of a shared library package.
  * /etc/odbcinst.ini should not be a conffile. Create it in the postinst
    on upgrade instead if it doesn't exist, and remove in postrm purge.
    (As a side effect, this means we'll need to split this package for
    multiarch, but we already have to do that due to /usr/bin/odbcinst; we
    just need to do it sooner rather than later, to avoid purging config
    files on library purge...) Closes: #376368.
  * Put the headers back in unixodbc-dev; those are kind of important.
    Closes: #544438.
  * Drop dltest from the package description, because it was dropped from the
    package two years ago; thanks to Pete Boyd for pointing this out.
    Closes: #448610.
  * Build-Depend on libltdl-dev instead of libltdl3-dev. Closes: #476452.
  * Have unixodbc Suggest: unixodbc-bin, per user request. Closes: #240035.
  * Suggest tdsodbc, not libct1.
  * Update debhelper compat to 7, adding ${misc:Depends} where needed
  * Drop debian/dh_makeshlibs and the .manifest files in favor of the
    now-standard dpkg-gensymbols .symbols files
  * Rename lintian files to *.lintian-overrides so dh_lintian will take care
    of them
  * Migrate from dh_movefiles to dh_install
  * Switch debian/rules to use dh
  * Clean up debian/copyright to be more accurate (and approximate DEP5)
  * Fix up menu files for the current section names (Apps->Applications;
    Databases->Data Management)
  * Neuter the .la files to not net dependency_libs, so that we can
    eventually get rid of them entirely
  * Drop unused debian/odbcinst_psql.ini file
  * Drop unneeded entries in debian/dirs
  * Set LDFLAGS=-Wl,-z,defs in debian/rules, to guard against all undefined
    symbols
  * Fix libodbcinstq1c2's missing dep on libltdl, picked up by the above
    change
  * Fix libodbctxt to not use undefined "stricmp" function
  * Add Homepage field
  * Standards-Version to 3.8.3.

8e31068... by Steve Langasek on 2007-07-27

Import patches-unapplied version 2.2.11-16 to debian/lenny

Imported using git-ubuntu import.